﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.MapSuiteGeocoder;
using System.Collections.ObjectModel;

namespace Geocoder3._1Test
{
	public partial class Form1 : Form
	{
		

		#region Private Instance Fields

		private string GeocoderPath = @"C:\ThinkGeo\GeocodeData\Map Suite 3.0 Geocoder Index";

		#endregion

		#region Constructors

		public Form1()
		{
			InitializeComponent();
			this.btnGeocodeAddress.Click += new EventHandler(btnGeocodeAddress_Click);
		}

		#endregion

		#region Events

		protected void btnGeocodeAddress_Click(object sender, EventArgs e)
		{
			InternalGeocode();
		}

		#endregion

		#region Private Instance Methods

		private void InternalGeocode()
		{
			UsaGeocoder InstanceGeocoder = new UsaGeocoder(GeocoderPath, MatchMode.FuzzyMatch);
			InstanceGeocoder.MatchingPlugIns.Clear();
			InstanceGeocoder.MatchingPlugIns.Add(new StreetMatchingPlugin(GeocoderPath));
			Collection<GeocoderMatch> matches = new Collection<GeocoderMatch>();
			try
			{
				InstanceGeocoder.Open();
				Collection<GeocoderMatch> temp = InstanceGeocoder.Match("21910 Suburban", "46516");
			}
			catch (Exception ex)
			{
				// catch errors
				Console.WriteLine(ex.ToString());
				throw;
			}
			finally
			{
				InstanceGeocoder.Close();
			}
		}

		#endregion
	}
}
